%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           leveldb
Version:        1.20
Release:        %mkrel 1
Summary:        A fast and lightweight key/value database library by Google
Group:          Databases
License:        BSD
URL:            http://code.google.com/p/leveldb/
Source0:        https://github.com/google/leveldb/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0001:      https://pkgs.fedoraproject.org/cgit/rpms/leveldb.git/plain/0001-Allow-leveldbjni-build.patch
Patch0002:      https://pkgs.fedoraproject.org/cgit/rpms/leveldb.git/plain/0002-Added-a-DB-SuspendCompations-and-DB-ResumeCompaction.patch
Patch0003:      https://pkgs.fedoraproject.org/cgit/rpms/leveldb.git/plain/0003-allow-Get-calls-to-avoid-copies-into-std-string.patch
Patch0004:      https://pkgs.fedoraproject.org/cgit/rpms/leveldb.git/plain/0004-bloom_test-failure-on-big-endian-archs.patch
Patch0005:      leveldb-1.20-no-sse-on-ARM.patch
BuildRequires:  snappy-devel

%description
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for LevelDB
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       leveldb-devel = %{version}-%{release}

%description -n %{devname}
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

This package contains additional header files for development with LevelDB.

%files -n       %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
%make_build

cat > %{name}.pc << EOF
prefix=%{_prefix}
exec_prefix=\${prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: %{summary}
Version: %{version}
Libs: -l%{name}
EOF

%install
install -d %{buildroot}{%{_libdir}/pkgconfig,%{_includedir}}
cp -a out-shared/lib%{name}.so* %{buildroot}%{_libdir}/
cp -a include/%{name}/ %{buildroot}%{_includedir}/
cp -a %{name}.pc %{buildroot}%{_libdir}/pkgconfig/


%changelog
* Sun Aug 18 2019 tex - 1.20-1pclos2019
- 1.20
